.waitModal {
    height: 100vh;
    width: 100vw;
    background: #ffd500;
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 50%;
    left: 50%;
    transform: scale(0);
}

.waitModal.active {
    transform: translate(-50%, -50%);
}

.waitModal_content {
    background: #ffd500;
}

.loader {
    position: absolute;
    left: 45%;
    top: 60%;
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid blueviolet; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
